import { AfterContentChecked, ChangeDetectorRef, EventEmitter, OnDestroy, OnInit, QueryList } from '@angular/core';
import { SelectSource } from '../../stores/select-source';
import { OptionsComponent } from '../options/options.component';
import { OptionComponent } from '../option/option.component';
import { Option } from '../../models/option';
import { SelectOptions } from '../select/select.component';
export declare class AutocompleteComponent implements OnInit, OnDestroy, AfterContentChecked {
    private cd;
    input: any;
    source: SelectSource;
    options: SelectOptions;
    change: EventEmitter<any>;
    optionsComponent: OptionsComponent;
    staticOptions: QueryList<OptionComponent>;
    constructor(cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterContentChecked(): void;
    readonly currentOptions: any;
    onOptionSelected(value: Option): void;
}
